library(tidyverse)

censo <- read.csv("censo_clean.csv", sep = ";", encoding = "UTF-8")
censo$CodINE <- censo$X.U.FEFF.CodINE
censo$X.U.FEFF.CodINE <- c()

ine.a.cp <- read.csv("ine_a_cp.csv", sep = ";", encoding = "UTF-8")
ine.a.cp$X <- c()
ine.a.cp$X.1 <- c()
ine.a.cp$X.2 <- c()
ine.a.cp$X.3 <- c()
ine.a.cp$CodigoPostal <- ine.a.cp$X.U.FEFF.CodigoPostal
ine.a.cp$X.U.FEFF.CodigoPostal <- c()

# Merge

censo.cp <- inner_join(censo, ine.a.cp, by = "CodINE")
censo.cp$CodINE <- c()
censo.cp$Municipio <- c()

# Export

write.csv(censo.cp, "metadatos_cp.csv")

