

<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Corpus One</title>

    <!-- Bootstrap CSS -->    
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <!-- bootstrap theme -->
    <link href="css/bootstrap-theme.css" rel="stylesheet">
    <!--external css-->
    <!-- font icon -->
    <link href="css/elegant-icons-style.css" rel="stylesheet" />
    <link href="css/font-awesome.min.css" rel="stylesheet" />
    <!-- Custom styles -->
    <link href="css/style.css" rel="stylesheet">
    <link href="css/style-responsive.css" rel="stylesheet" />
    <!-- HTML5 shim and Respond.js IE8 support of HTML5 -->
    <!--[if lt IE 9]>
      <script src="js/html5shiv.js"></script>
      <script src="js/respond.min.js"></script>
      <script src="js/lte-ie7.js"></script>
    <![endif]-->  
      
      
      
  <style>

        path {  stroke: #ffffff; }
        path:hover {  opacity:0.9; }
        rect:hover {  fill:blue; }
        .axis {  font: 10px sans-serif; }
        .legend tr{    border-bottom:1px solid grey; }
        .legend tr:first-child{    border-top:1px solid grey; }

        .axis path,
        .axis line {
          fill: none;
          stroke: #ffffff;
          shape-rendering: crispEdges;
        }
        .axis text {
          fill: #ffffff;  
        }
        .x.axis path {  display: none; }
        .legend{
            color: whitesmoke;
            font: 12px sans-serif;
            margin-bottom:0px;
            margin-top:5px;
            display:inline-block;
            border-collapse: collapse;
            border-spacing: 0px;
        }
        .legend td{
            padding:4px 5px;
            vertical-align:bottom;
        }
        .legendFreq, .legendPerc{
            align:right;
            width:50px;
        }

        .bar {
          fill: #4682b4;
        }

        svg {
          border: none !important;
        }

        .chart-title {
          font-size: 18px;
          font-weight: bold;
        }
        .toolTip {
        font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
        position: absolute;
        display: none;
        width: auto;
        height: auto;
        background: none repeat scroll 0 0 white;
        border: 0 none;
        border-radius: 8px 8px 8px 8px;
        box-shadow: -3px 3px 15px #FFFFFF;
        color: black;
        font: 12px sans-serif;
        padding: 5px;
        text-align: center;
    }
    </style>  
<style>
			/* tell the SVG path to be a thin blue line without any area fill */
			path {
				stroke-width: 1;
				fill: none;
			}
			
			.data1 {
				stroke: steelblue;
			}

			.data2 {
				stroke: orange;
			}

			.axis {
			  shape-rendering: crispEdges;
			}

			.x.axis line {
			  fill: none;
			  stroke: #FFFFFF;
			}

			.x.axis .minor {
			  stroke-opacity: .5;
			}

			.x.axis path {
			  display: none;
			}
			
			.x.axis text {
				font-size: 14;
			}

			.y.axis line, .y.axis path {
			  fill: none;
			  stroke: #FFFFFF;
			}

			.y.axis text {
				font-size: 14;
			}

			.y.axisRight text {
				fill: orange;
			}
			
			.y.axisLeft text {
				fill: steelblue;
			}
		</style>
  </head>

  <body>
  <!-- container section start -->
  <section id="container" class="">
      <header class="header dark-bg">

            <!--logo start-->
            <a href="/corpus_one/" class="logo">CORPUS ONE</a>
            <!--logo end-->
            <div class="col-sm-8" style="margin: 0 auto;float:left;margin-top:12px;margin-left:10%">
            <div class="col-sm-12">
              
              <div class="col-sm-2">
                   
                  <select class="form-control btn-primary" onchange="change_data();" id="year_selected">
                    <option value="2015" selected>2015</option>  
                    <option value="2016">2016</option>  
                  </select>
              </div>    
              <div class="col-sm-3">
                  <select class="form-control btn-primary" onchange="change_data();" id="cp_selected">
                    <option value="cliente" selected>CP Cliente</option>
                    <option value="comercio">CP Comercio</option>  
                  </select> 
              </div> 
              <div class="col-sm-2">
                  <select class="form-control btn-primary" onchange="change_data();" id="cps_selected"></select> 
              </div> 
              <div class="col-sm-4">
                <a class="btn btn-large btn-primary" href="info.php" target="blank_">Datos Analizados</a>
              </div>
              <div class="col-sm-1">
                  <a class="btn btn-large btn-primary" href="/corpus_one/"><i class="fa fa-refresh" style="font-size:150%;"></i></a>
              </div>
            </div>
          </div>


      </header>      
      <!--header end-->

      <!--sidebar end-->
      <!--main content start-->
      <section id="main-content" style="min-width:100%;min-height:100%;margin-left:0px;">
          <div class="col-lg-7" style="margin-left:0px;">
              <div class="col-lg-12" style="margin:10px; margin-bottom:20px;">
                  <div class="col-lg-11 col-md-10 col-sm-10 col-xs-9" style="text-align:center;"><h3 style="margin:0;">Ventas mensuales por sector</h3><div class="row" id="sector" style="position:absolute; z-index:1000;margin-left:40%;margin-top:40px;"></div></div>
                  <div class="col-lg-1 col-md-2 col-sm-2 col-xs-3"><a class="btn btn-large btn-primary" data-toggle="modal" data-target="#m_grafico_1" target="blank_"><i class="fa fa-info-circle" style="font-size:150%;"></i></a></div>  
              </div>
              
              <div class="col-lg-12 col-md-12" id="dashboard" style="margin-left:-25px;"></div>
              <div class="col-lg-12">
              <div class="col-lg-12" style="margin:10px; margin-bottom:20px;">
                  <div class="col-lg-6">
                      <div class="col-lg-11 col-md-10 col-sm-10 col-xs-9" style="text-align:left;"><h3 style="margin:0">Ratio por sector y franja horaria</h3></div>
                      <div class="col-lg-1 col-md-2 col-sm-2 col-xs-3"><a class="btn btn-large btn-primary" data-toggle="modal" data-target="#m_grafico_2" target="blank_"><i class="fa fa-info-circle" style="font-size:150%;"></i></a></div>  
                  </div>
                  <div class="col-lg-6">
                      <div class="col-lg-11 col-md-10 col-sm-10 col-xs-9" style="text-align:center;"><h3 style="margin:0">Evolución temporal datos climáticos</h3></div>
                      <div class="col-lg-1 col-md-2 col-sm-2 col-xs-3"><a class="btn btn-large btn-primary" data-toggle="modal" data-target="#m_grafico_3" target="blank_"><i class="fa fa-info-circle" style="font-size:150%;"></i></a></div>  
                  </div>
              </div>
                    <div class="col-lg-4 col-md-4 radarChart" id="radarChart" style="margin-left:-25px;"></div>
                    <div class="col-lg-8 col-md-8" id="meteoChart" class="aGraph" style="min-width:60%;"></div>
              </div>
          </div>
          
		  <div class="col-lg-5" style="margin-right:0px;padding:0px;">
                <div class="col-lg-12" style="min-height:100%;margin-right:0px; padding:0px;">
                    <div style="height:790px; width:100%;" id="map"></div>
                </div>
          </div>
          
          <!-- <div style="background: #ffffff; position:absolute; z-index:1000; margin-top:20%; margin-left:20% min-width:200px; min-height;150px;">¿Qué representan estos datos?</div> -->
              <!-- page end-->
      </section>
      <!--main content end-->
  </section>
  <!-- container section end -->
    <!-- javascripts -->
    <script src="js/jquery.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jquery-ui-1.9.2.custom.min.js"></script>
    <script src="js/d3.v3.min.js"></script>
    <script src="js/radarChart.js"></script>		
    <script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBs9bqflxIUsgSUGtVk3f6vQhZXrwIl_7o&libraries=visualization&callback=initMap"></script>
<script>
    var lista_cps_cliente = ["Media","46001","46002","46003","46004","46005","46006","46007","46008","46009","46010","46011","46012","46013","46014","46015","46016","46017","46018","46019","46020","46021","46022","46023","46024","46025","46026","46035","46100","46110","46111","46112","46113","46114","46115","46116","46117","46118","46119","46120","46130","46131","46132","46133","46134","46135","46136","46137","46138","46139","46140","46141","46142","46143","46144","46145","46146","46147","46148","46149","46160","46162","46163","46164","46165","46166","46167","46168","46169","46170","46171","46172","46173","46174","46175","46176","46177","46178","46179","46180","46181","46182","46183","46184","46185","46190","46191","46192","46193","46194","46195","46196","46197","46198","46199","46200","46210","46220","46230","46240","46250","46260","46266","46267","46268","46269","46270","46290","46291","46292","46293","46294","46295","46300","46310","46311","46312","46313","46314","46315","46317","46320","46321","46330","46340","46350","46351","46352","46353","46354","46355","46356","46357","46360","46367","46368","46369","46370","46380","46388","46389","46390","46391","46392","46393","46394","46400","46408","46409","46410","46417","46418","46419","46420","46430","46439","46440","46450","46460","46469","46470","46500","46501","46510","46511","46512","46514","46515","46520","46529","46530","46540","46550","46560","46590","46591","46592","46593","46594","46595","46600","46610","46611","46612","46613","46614","46620","46621","46622","46623","46624","46625","46630","46635","46640","46650","46659","46660","46666","46667","46668","46669","46670","46680","46687","46688","46689","46690","46691","46692","46701","46702","46703","46710","46711","46712","46713","46714","46715","46716","46717","46720","46721","46722","46723","46724","46725","46726","46727","46728","46729","46730","46740","46749","46750","46758","46760","46770","46780","46790","46791","46792","46800","46810","46811","46812","46813","46814","46815","46816","46817","46818","46819","46820","46821","46822","46823","46824","46825","46830","46837","46838","46839","46840","46841","46842","46843","46844","46850","46860","46868","46869","46870","46880","46890","46891","46892","46893","46894","46900","46901","46909","46910","46920","46930","46940","46950","46960","46970","46980","46988","46989"];
var lista_cps_comercio = ["Media","46001","46002","46003","46004","46005","46006","46007","46008","46009","46010","46011","46012","46013","46014","46015","46017","46018","46019","46020","46021","46022","46023","46024","46025","46026"];
    var select_ = document.getElementById("cps_selected");
    for(var i=0; i < lista_cps_cliente.length; i++){
        var option = document.createElement('option');
        option.text = option.value = lista_cps_cliente[i];
        select_.add(option, i);
    }
    
    /*
    *
    *   DASHBOARD
    *   HISTOGRAMA DE BARRAS Y GRAFICO CIRCULAR
    *
    */
    var piechart_state = 0;
    var piesvg;
    var hG={};
    var pC ={};
    var last_selected=document.getElementById("cp_selected").value;
    var secciones= ["ALIMENTACION","AUTO","BELLEZA","HIPERMERCADOS","HOGAR","MODA","OCIO","OTROS","RESTAURACION","SALUD","TECNOLOGIA"];
    var sel_year = document.getElementById("year_selected");
    sel_year.selectedIndex=0;
    var sel_cp = document.getElementById("cp_selected");
    sel_cp.selectedIndex=0;
    var cp = document.getElementById("cps_selected");
    cp.selectedIndex=0;
    
    var Datos_Radar = 0;
    var Datos_dashboard= 0;
    var Datos_meteo= 0;
    var Datos_clima;
    
    function dashboard(id, fData){
    var barColor = 'steelblue';
    
    function segColor(c){ return {ALIMENTACION:"#a6cee3", AUTO:"#1f78b4", BELLEZA:"#b2df8a", HIPERMERCADOS:"#33a02c", HOGAR:"#fb9a99", MODA:"#e31a1c", OCIO:"#fdbf6f", OTROS:"#ff7f00", RESTAURACION:"#cab2d6", SALUD:"#6a3d9a", TECNOLOGIA:"#ffff99"}[c]; }
    
    /* Computamos el maximo de cada item */
    fData.forEach(function(d){d.total=d.freq.ALIMENTACION+d.freq.AUTO+d.freq.BELLEZA+d.freq.HIPERMERCADOS+d.freq.HOGAR+d.freq.MODA+d.freq.OCIO+d.freq.OTROS+d.freq.RESTAURACION+d.freq.SALUD+d.freq.TECNOLOGIA;});
    
    /* Inicializador del histograma */
    function histoGram(fD){
        
        var w_width = document.getElementById('dashboard').clientWidth; 
        var w_height = $(window).height();  
        
        /* Domensiones para el histograma */
        hG={};
        var hGDim = {t: 0, r: 0, b: 30, l: 0};
        hGDim.w = w_width/3 - hGDim.l - hGDim.r, 
        hGDim.h = w_height/3 - hGDim.t - hGDim.b;
            
        /* Creamos el contenedor SVG para el histograma */
        var hGsvg = d3.select(id).append("svg")
            .attr("width", hGDim.w + hGDim.l + hGDim.r)
            .attr("height", hGDim.h + hGDim.t + hGDim.b).append("g")
            .attr("transform", "translate(" + hGDim.l + "," + hGDim.t + ")");

        /* Inicializamos el eje X de coordenadas del histograma */
        var x = d3.scale.ordinal().rangeRoundBands([0, hGDim.w], 0.1)
                .domain(fD.map(function(d) { return d[0]; }));

        /* Anadimos el eje X al contendor SVG */
        hGsvg.append("g").attr("class", "x axis")
            .attr("transform", "translate(0," + hGDim.h + ")")
            .call(d3.svg.axis().scale(x).orient("bottom"));

        /* Inicializamos el eje Y de coordenadas del histograma */
        var y = d3.scale.linear().range([hGDim.h, 0])
                .domain([0, d3.max(fD, function(d) { return d[1]; })]);

        /* Creamos las barras del histograma */
        var bars = hGsvg.selectAll(".bar").data(fD).enter()
                .append("g").attr("class", "bar");
        
        /* Anadimos el relleno y la posicion a las barras */
        bars.append("rect")
            .attr("x", function(d) { return x(d[0]); })
            .attr("y", function(d) { return y(d[1]); })
            .attr("width", x.rangeBand())
            .attr("height", function(d) { return hGDim.h - y(d[1]); })
            .attr('fill',barColor)
            .on("mouseover",mouseover)
            .on("mouseout",mouseout);
            
       
        function mouseover(d){  /* Callback para el mouseover */
            /* Filtramos por la clave seleccionada */
            var st = fData.filter(function(s){ return s.month == d[0];})[0],
                nD = d3.keys(st.freq).map(function(s){ return {type:s, freq:st.freq[s]};});
               
            /* Actualizamos el grafico circular */
            pC.update(nD);
            leg.update(nD);
        }
        
        function mouseout(d){   /* Callback para el mouseout */
            /* Reseteamos el grafico circular */  
            pC.update(tF);
            leg.update(tF);
        }
        
        /* Funcion para actualizar las barras del histograma */
        hG.update = function(nD, color){
            /* Actualizamos el dominio del eje Y */
            y.domain([0, d3.max(nD, function(d) { return d[1]; })]);
            
            /* Cambiamos los datos de las barras del histograma */
            var bars = hGsvg.selectAll(".bar").data(nD);
            
            /* Transciciones y efectos visuales */
            bars.select("rect").transition().duration(500)
                .attr("y", function(d) {return y(d[1]); })
                .attr("height", function(d) { return hGDim.h - y(d[1]); })
                .attr("fill", color);

            bars.select("text").transition().duration(500)
                .text(function(d){ return d3.format(",")(d[1])})
                .attr("y", function(d) {return y(d[1])-5; });            
        }        
        
        return hG;
    }
    
    /* Funcion para inicializar el grafico circular */
    function pieChart(pD){
        
        var w_width = document.getElementById('dashboard').clientWidth; 
        var w_height = $(window).height();  
        
        pC ={};
        var pieDim ={w:w_width/4, h: w_width/4};
        pieDim.r = Math.min(pieDim.w, pieDim.h) / 2;
                
        /* Creamos el contenedor SVG para el grafico circular */
        piesvg = d3.select(id).append("svg")
            .attr("width", pieDim.w).attr("height", pieDim.h).append("g")
            .attr("transform", "translate("+pieDim.w/2+","+pieDim.h/2+")");
        
        /* Funcion para crear cada porcion del grafico circular */
        var arc = d3.svg.arc().outerRadius(pieDim.r - 10).innerRadius(0);

        /* Funcion para computar el angulo de cada porcion del grafico circular */
        var pie = d3.layout.pie().sort(null).value(function(d) { return d.freq; });

        /* Anadimos las parciones al contenedor */
        piesvg.selectAll("path").data(pie(pD)).enter().append("path").attr("d", arc)
            .each(function(d) { this._current = d; })
            .style("fill", function(d) { return segColor(d.data.type); })
            .on("click", mouseclick)
            .on("mouseover",mouseover).on("mouseout",mouseout);

        /* Funcion para actualizar los datos del grafico circular */
        pC.update = function(nD){
            piesvg.selectAll("path").data(pie(nD)).transition().duration(500)
                .attrTween("d", arcTween);
        }        
        
        function mouseover(d){  /* Callback para el mouseover */
            document.getElementById("sector").innerHTML=d.data['type'];
            //hG.update(fData.map(function(v){ 
              //  return [v.month,v.freq[d.data.type]];}),segColor(d.data.type));
        }
        
        function mouseout(d){ /* Callback para el mouseout */
            document.getElementById("sector").innerHTML="";
           // hG.update(fData.map(function(v){
             //   return [v.month,v.total];}), barColor);
        }
        
        function mouseclick(d){
            if(1){
                piechart_state = 1;
                hG.update(fData.map(function(v){ 
                return [v.month,v.freq[d.data.type]];}),segColor(d.data.type));
            }
            else{
                /*piechart_state = 0;
                hG.update(fData.map(function(v){
                    return [v.month,v.total];}), barColor);*/
            }
        }
        
        /* Transiciones y efectos visuales */
        function arcTween(a) {
            var i = d3.interpolate(this._current, a);
            this._current = i(0);
            return function(t) { return arc(i(t));    };
        }    
        return pC;
    }
    
    /* Funcion para dibujar la leyenda de los graficos */
    function legend(lD){
        var leg = {};
            
        // create table for legend.
        var legend = d3.select(id).append("table").attr('class','legend');
        
        // create one row per segment.
        var tr = legend.append("tbody").selectAll("tr").data(lD).enter().append("tr");
            
        // create the first column for each segment.
        tr.append("td").append("svg").attr("width", '16').attr("height", '16').append("rect")
            .attr("width", '16').attr("height", '16')
			.attr("fill",function(d){ return segColor(d.type); })
            .on("click", mouseclick);
            
        // create the second column for each segment.
        tr.append("td").text(function(d){ return d.type;});

        // create the third column for each segment.
        tr.append("td").attr("class",'legendFreq')
            .text(function(d){ return d3.format(",")(parseInt(d.freq));});

        // create the fourth column for each segment.
        tr.append("td").attr("class",'legendPerc')
            .text(function(d){ return getLegend(d,lD);});

        // Utility function to be used to update the legend.
        leg.update = function(nD){
            // update the data attached to the row elements.
            var l = legend.select("tbody").selectAll("tr").data(nD);

            // update the frequencies.
            l.select(".legendFreq").text(function(d){ return d3.format(",")(parseInt(d.freq));});

            // update the percentage column.
            l.select(".legendPerc").text(function(d){ return getLegend(d,nD);});        
        }
        
        function mouseclick(d){
            console.log(d.type);
            posicion=secciones.indexOf(d.type);
            
            total=0;
            Datos_Radar[posicion].map(function(i, j){total=total+Datos_Radar[posicion][j].value});
            
            if (total==0){
                    $.get( "include/ajax/get_data_by_hour.php?cp="+cp.value+"&sel_year="+sel_year.value+"&sel_cp="+sel_cp.value, function(data_leida){
                        if(data_leida != ""){
                            data_leida=eval(data_leida);
                            
                            //Call function to draw the Radar chart
                            for(i=0;i<12;i++){
                                Datos_Radar[posicion][i].value = data_leida[posicion][i].value;
                            }
                            RadarChart(".radarChart", Datos_Radar, radarChartOptions);
                            
                            $.get("include/ajax/get_data_meteo.php?cp="+cp.value+"&sel_year="+sel_year.value+"&sel_cp="+sel_cp.value, function(data_leida){
                                if(data_leida != ""){
                                    data_ = data_leida.split(" || ");
                                    suma = eval(data_[posicion+2]);
                                    for (i=0; i < Datos_meteo.length; i++){
                                        Datos_meteo[i] += suma[i];
                                    }
                                    Datos_clima = eval(data_[1]);
                                }
                            });
                            
                        }
                    });
            }else{
                for(i = 0; i < 12; i++){
                    Datos_Radar[posicion][i].value=0;
                }
                RadarChart(".radarChart", Datos_Radar, radarChartOptions);
                
                $.get("include/ajax/get_data_meteo.php?cp="+cp.value+"&sel_year="+sel_year.value+"&sel_cp="+sel_cp.value, function(data_leida){
                    if(data_leida != ""){
                        data_ = data_leida.split(" || ");
                        resta = eval(data_[posicion+2]);
                        for (i=0; i < Datos_meteo.length; i++){
                            Datos_meteo[i] -= resta[i];
                        }
                        Datos_clima = eval(data_[1]);
                    }
                });
                
            }
            
            $("#meteoChart").html("");
            console.log(Datos_clima);
            meteoChart(Datos_meteo, Datos_clima);

        }
        
        function getLegend(d,aD){ // Utility function to compute percentage.
            return d3.format("%")(d.freq/d3.sum(aD.map(function(v){ return parseInt(v.freq); })));
        }

        return leg;
    }
    
    // calculate total frequency by segment for all state.
    var tF = ['ALIMENTACION','AUTO','BELLEZA','HIPERMERCADOS','HOGAR','MODA','OCIO','OTROS','RESTAURACION','SALUD', 'TECNOLOGIA'].map(function(d){ 
        return {type:d, freq: d3.sum(fData.map(function(t){ return t.freq[d];}))}; 
    });    
    
    // calculate total frequency by state for all segment.
    var sF = fData.map(function(d){return [d.month,d.total];});

    var hG = histoGram(sF), // create the histogram.
        pC = pieChart(tF), // create the pie-chart.
        leg= legend(tF);  // create the legend.
}
    
function get_data_meteo(cp_local){
    
    $.get("include/ajax/get_data_meteo.php?cp="+cp_local+"&sel_year="+sel_year.value+"&sel_cp="+sel_cp.value, function(data){
        $("#meteoChart").html("");
        if(data != ""){
            data_ = data.split(" || ");
            meteoChart(eval(data_[0]), eval(data_[1]));
            Datos_meteo=eval(data_[0]);
            Datos_clima=eval(eval(data_[1]));
            console.log("Datos de "+cp_local+" cargados.");
        }
        else{
            console.log("No hay infomación de "+cp_local);
        }
    });
}

function get_data_by_cp(cp_local){
    
    //alert("año="+sel_year+" cp="+cp_local+" vision="+sel_cp+" sector="+posicion);
    
    $.get( "include/ajax/get_data_by_cp.php?cp="+cp_local+"&sel_year="+sel_year.value+"&sel_cp="+sel_cp.value, function(data_leida){
        $( "#dashboard" ).html("");
        if(data_leida != ""){
            Datos_dashboard=eval(data_leida);
            dashboard('#dashboard', Datos_dashboard);
            console.log("Datos de "+cp_local+" cargados.");
        }
        else{
            $( "#dashboard" ).html("No hay información disponible sobre el codigo postal seleccionado");
            console.log("No hay infomación de "+cp_local);
        }
    });
}

function get_data_by_hour(cp_local){
    
    $.get( "include/ajax/get_data_by_hour.php?cp="+cp_local+"&sel_year="+sel_year.value+"&sel_cp="+sel_cp.value, function(data_leida){
        $( "#radarChart" ).html("");
        if(data_leida != ""){
            Datos_Radar=eval(data_leida);
            RadarChart(".radarChart", Datos_Radar, radarChartOptions);
        }
        else{
            $( "#dashboard" ).html("No hay información disponible sobre el codigo postal seleccionado");
            console.log("No hay infomación de "+cp_local);
        }

    });
}

</script>

<script id="data_script">   /* CONTENEDOR PARA ALMACENAR LOS DATOS DEL HISTOGRAMA Y DEL GRAFICO CIRCULAR */
    
    $.get( "include/ajax/get_data_by_cp.php?cp="+cp.value+"&sel_year="+sel_year.value+"&sel_cp="+sel_cp.value, function(data_leida){
        if(data_leida != ""){
            Datos_dashboard=eval(data_leida);
            dashboard('#dashboard',Datos_dashboard);
        }
    });

    /* Inicializacion del histograma */
</script>
      
<script id="data_radar">
    /*
    *
    *   GRAFICO RADAR
    *   REPRESENTACION POR FRANJAS HORARIAS
    *
    */

        var w_width = document.getElementById('radarChart').clientWidth; 
        var margin = {top: 70, right: 100, bottom: 100, left: 50},
            width = Math.min(w_width+80, window.innerWidth - 10) - margin.left - margin.right,
            height = Math.min(width, window.innerHeight - margin.top - margin.bottom - 20);

        ////////////////////////////////////////////////////////////// 
        //////////////////// Draw the Chart ////////////////////////// 
        ////////////////////////////////////////////////////////////// 

        var color = d3.scale.ordinal()
            .range(['#a6cee3','#1f78b4','#b2df8a','#33a02c','#fb9a99','#e31a1c','#fdbf6f','#ff7f00','#cab2d6','#6a3d9a','#ffff99']);

        var radarChartOptions = {
          w: width,
          h: height,
          margin: margin,
          maxValue: 0.5,
          levels: 5,
          roundStrokes: true,
          color: color
        };
        //Call function to draw the Radar chart
    
    get_data_by_hour(cp.value);
    
</script>  
      
<script type="text/javascript" src="include/data/meteo/data_general_1.js"></script>	
<script type="text/javascript" src="include/data/meteo/data_general_2.js"></script>     
<script>    /*  GRAFICO POR TEMEPERATURAS   */
    function meteoChart(data1, data2){
        
		var w_width = document.getElementById('meteoChart').clientWidth; 
		// define dimensions of graph
		var m = [100, 40, 60, 100]; // margins
		var w = w_width - m[1] - m[3];	// width
		var h = 400 - m[0] - m[2]; // height

		// X scale will fit all values from data[] within pixels 0-w
		var x = d3.scale.linear().domain([0, data1.length]).range([0, w]);
		// Y scale will fit values from 0-10 within pixels h-0 (Note the inverted domain for the y-scale: bigger is up!)
		var y1 = d3.scale.linear().domain([0, d3.max(data1)]).range([h, 0]); 
		var y2 = d3.scale.linear().domain([0, d3.max(data2)]).range([h, 0]); 


		var line1 = d3.svg.line()
			.x(function(d,i) { 
				return x(i); 
			})
			.y(function(d) { 
				return y1(d); 
			})
			
		var line2 = d3.svg.line()
			.x(function(d,i) { 
				return x(i); 
			})
			.y(function(d) { 
				return y2(d); 
			})


			// Add an SVG element with the desired dimensions and margin.
			var graph = d3.select("#meteoChart").append("svg:svg")
			      .attr("width", w + m[1] + m[3])
			      .attr("height", h + m[0] + m[2])
			    .append("svg:g")
			      .attr("transform", "translate(" + m[3] + "," + m[0] + ")");

			// create yAxis
		    //var xAxis = d3.svg.axis().scale(x).tickSize(-h).tickSubdivide(true);
			// Add the x-axis.
			//graph.append("svg:g")
			      //.attr("class", "x axis")
			      //.attr("transform", "translate(0," + h + ")")
			      //.call(xAxis);
        
            var axisScale = d3.scale.linear()
                                      .domain([1, w/2 ])
                                      .range([1, w ]);
            
            //Create the Axis
            var xAxis = d3.svg.axis()
                               .scale(axisScale);
            //Create an SVG group Element for the Axis elements and call the xAxis function
            var xAxisGroup = graph.append("svg:g")
                                         .attr("class", "x axis")
			                             .attr("transform", "translate(0,230)")
                                         .call(xAxis).append("text")
                                          .attr("y", 20)
                                          .attr("x", 320)
                                          .attr("dy", "1em")
                                          .style("font-size", "14px")
                                          .style("text-anchor", "end")
                                          .text("Día del año");

    
			// create left yAxis
			var yAxisLeft = d3.svg.axis().scale(y1).ticks(4).orient("left");
					// Add the y-axis to the left
			graph.append("svg:g")
			      .attr("class", "y axis axisLeft")
			      .attr("transform", "translate(-20,0)")
			      .call(yAxisLeft)
                  .append("text")
                  .attr("transform", "rotate(-90)")
                  .attr("y", 0)
                  .attr("x", -70)
                  .attr("dy", "1em")
                  .style("font-size", "14px")
                  .style("text-anchor", "end")
                  .text("Volumen de Ventas");
        
	  		// create right yAxis
	  		var yAxisRight = d3.svg.axis().scale(y2).ticks(6).orient("right");
  			// Add the y-axis to the right
  			graph.append("svg:g")
  			      .attr("class", "y axis axisRight")
  			      .attr("transform", "translate(" + (w+20) + ",0)")
  			      .call(yAxisRight)
                  .append("text")
                  .attr("transform", "rotate(-90)")
                  .attr("y", -20)
                  .attr("x", -100)
                  .attr("dy", "1em")
                  .style("font-size", "14px")
                  .style("text-anchor", "end")
                  .text("Temperatura (ºC)");	
        
        /* Add the y-axis to the left
			graph.append("svg:g")
			      .attr("class", "y axis axisLeft")
			      .attr("transform", "translate(-15,0)")
			      .call(yAxisLeft);

	  		// create right yAxis
	  		var yAxisRight = d3.svg.axis().scale(y2).ticks(6).orient("right");
  			// Add the y-axis to the right
  			graph.append("svg:g")
  			      .attr("class", "y axis axisRight")
  			      .attr("transform", "translate(" + (w+15) + ",0)")
  			      .call(yAxisRight);*/
			
			// add lines
			// do this AFTER the axes above so that the line is above the tick-lines
  			graph.append("svg:path").attr("d", line1(data1)).attr("class", "data1");
  			graph.append("svg:path").attr("d", line2(data2)).attr("class", "data2");      
      }

    get_data_meteo(cp.value);
    
</script>      
      
<script>
    
    function change_data(){
        var year = document.getElementById("year_selected").value;
        var cp = document.getElementById("cp_selected").value;
        var cps = document.getElementById("cps_selected").value;
        
        if (last_selected != cp){
            //alert("last_selected="+last_selected+" cps="+cp);
            var select = document.getElementById("cps_selected");
            select.options.length = 0;//remove all options
            
            if(cp == 'cliente'){
                for (var i=0;i<lista_cps_cliente.length;i++){
                    var option = document.createElement('option');
                    option.text = option.value = lista_cps_cliente[i];
                    select.add(option, i);
                }
            }else{
               for (var i=0;i<lista_cps_comercio.length;i++){
                    var option = document.createElement('option');
                    option.text = option.value = lista_cps_comercio[i];
                    select.add(option, i);
                }
            }
        }
        
        if(document.getElementById("cps_selected").value == 'Media'){
            //$("#meteoChart").html("");
            //$("#dashboard" ).html("");
            //$("#radarChart" ).html("");
            get_data_by_cp("Media");
            get_data_meteo("Media");
            get_data_by_hour("Media");
            initMap();
        }
        else{
            initMap();
            get_data_by_cp(cps);
            get_data_meteo(cps);
            get_data_by_hour(cps);
        }
        
        last_selected=cp;
        open_map_window(cps);
    }
    var infoWindow;
    function open_map_window(cp){
        $.get( "include/ajax/get_cp_coordinates.php?cp="+cp, function(data){
            if(data != ""){
                data = eval(data);

                data.forEach(function(d){
                    if(d.cp == cp){
                        console.log(d);
                        window_data = d;
                        return true;
                    }
                });
                
                var myLatlng = new google.maps.LatLng(window_data.lat, window_data.lon);
                
                var marker = new google.maps.Marker({
                    position: myLatlng,
                    map: map,
                    title: ''
                });
                
                var total_out = 'No disponible';
                var hab2016 = 'No disponible';
                var num_empresas = 'No disponible';
                var capital = 'No disponible';

                if(window_data.total_out != 0){
                    total_out = parseInt(window_data.total_out).format(2)+" €";
                }
                if(window_data.hab2016 != 0){
                    hab2016 = window_data.hab2016;
                }
                if(window_data.num_empresas != 0){
                    num_empresas = window_data.num_empresas;
                }
                if(window_data.total_capital != 0){
                    capital = parseInt(window_data.total_capital).format(2)+" €";
                }
                
                infoWindow = new google.maps.InfoWindow({
                    content: "<h2><strong>"+window_data.name+"</strong></h2><br>" +
                            "<strong style='font-size: 150%;'>CP: </strong><span style='font-size: 150%;'>" + window_data.cp + "</span><br>" +
                            "<strong style='font-size: 150%;'>Gasto clientes Cajamar: </strong><span style='font-size: 150%;'>" + total_out + "</span><br>" +
                            //"<strong style='font-size: 150%;'>Gasto en comercios: </strong><span style='font-size: 150%;'>" + parseInt(e.row['total_in'].value).format(2) + ' €' + "</span><br>" + 
                            "<strong style='font-size: 150%;'>Habitantes: </strong><span style='font-size: 150%;'>" + hab2016 + "</span><br>" +
                            "<strong style='font-size: 150%;'>Empresas: </strong><span style='font-size: 150%;'>" + num_empresas + "</span><br>"+ 
                            "<strong style='font-size: 150%;'>Capital empresas: </strong><span style='font-size: 150%;'>" + capital + "</span>"
                });
                infoWindow.open(map, marker);
                marker.setVisible(false);
            }
        });
    }
    
</script>      

<script>    /*  GOOGLE MAPS Y FUSION TABLES  */

Number.prototype.format = function(n, x) {
    var re = '\\d(?=(\\d{' + (x || 3) + '})+' + (n > 0 ? '\\.' : '$') + ')';
    return this.toFixed(Math.max(0, ~~n)).replace(new RegExp(re, 'g'), '$&,');
};
    
var map;
var layer;

function initMap() {
  console.log("Init...");
    
    var customMapType = new google.maps.StyledMapType([
  {
    "elementType": "geometry",
    "stylers": [
      {
        "color": "#242f3e"
      }
    ]
  },
  {
    "elementType": "labels.text.fill",
    "stylers": [
      {
        "color": "#746855"
      }
    ]
  },
  {
    "elementType": "labels.text.stroke",
    "stylers": [
      {
        "color": "#242f3e"
      }
    ]
  },
  {
    "featureType": "administrative.locality",
    "elementType": "labels.text.fill",
    "stylers": [
      {
        "color": "#d59563"
      }
    ]
  },
  {
    "featureType": "poi",
    "elementType": "labels.text.fill",
    "stylers": [
      {
        "color": "#d59563"
      }
    ]
  },
  {
    "featureType": "poi.park",
    "elementType": "geometry",
    "stylers": [
      {
        "color": "#263c3f"
      }
    ]
  },
  {
    "featureType": "poi.park",
    "elementType": "labels.text.fill",
    "stylers": [
      {
        "color": "#6b9a76"
      }
    ]
  },
  {
    "featureType": "road",
    "elementType": "geometry",
    "stylers": [
      {
        "color": "#38414e"
      }
    ]
  },
  {
    "featureType": "road",
    "elementType": "geometry.stroke",
    "stylers": [
      {
        "color": "#212a37"
      }
    ]
  },
  {
    "featureType": "road",
    "elementType": "labels.text.fill",
    "stylers": [
      {
        "color": "#9ca5b3"
      }
    ]
  },
  {
    "featureType": "road.highway",
    "elementType": "geometry",
    "stylers": [
      {
        "color": "#746855"
      }
    ]
  },
  {
    "featureType": "road.highway",
    "elementType": "geometry.stroke",
    "stylers": [
      {
        "color": "#1f2835"
      }
    ]
  },
  {
    "featureType": "road.highway",
    "elementType": "labels.text.fill",
    "stylers": [
      {
        "color": "#f3d19c"
      }
    ]
  },
  {
    "featureType": "transit",
    "elementType": "geometry",
    "stylers": [
      {
        "color": "#2f3948"
      }
    ]
  },
  {
    "featureType": "transit.station",
    "elementType": "labels.text.fill",
    "stylers": [
      {
        "color": "#d59563"
      }
    ]
  },
  {
    "featureType": "water",
    "elementType": "geometry",
    "stylers": [
      {
        "color": "#17263c"
      }
    ]
  },
  {
    "featureType": "water",
    "elementType": "labels.text.fill",
    "stylers": [
      {
        "color": "#515c6d"
      }
    ]
  },
  {
    "featureType": "water",
    "elementType": "labels.text.stroke",
    "stylers": [
      {
        "color": "#17263c"
      }
    ]
  }
], {
      name: 'Mapa de calor'
  });
    
    var customMapTypeId = "night_mode_style"
    
    var fusion_table = "";
    var zoom = 9;
    var center_lat = 0;
    var center_lon = 0;
    if(document.getElementById('cp_selected').value == 'cliente'){
        fusion_table = '1MptOs98LllAWx4WU8QQs1Fpv0qzmtMXjPtQNQ-R-';
        zoom = 9;
        center_lat = 39.4077013;
        center_lon = -0.7015955;
    }
    else{
        fusion_table = '1Ukc_8uSNJsC9eYc-u0GXsCJq9dHPQWM1i9BF-Dmq';
        zoom = 12;
        center_lat = 39.4288751;
        center_lon = -0.3526791;
    }
    
    map = new google.maps.Map(document.getElementById('map'), {
    zoom: zoom,
    minZoom: zoom,
    center: {lat: center_lat, lng: center_lon},
     mapTypeControlOptions: {
      mapTypeIds: [customMapTypeId]
    }
  });
    
    map.mapTypes.set(customMapTypeId, customMapType);
    map.setMapTypeId(customMapTypeId);
    
  layer = new google.maps.FusionTablesLayer({
    query: {
      select: 'geometry',
      from: fusion_table
    },
    styles: [{

    }],
      styleId: 2
  });
    
    google.maps.event.addListener(layer, 'click', function(e) { 
        
        if (infoWindow) {
            infoWindow.close();
        }
        
        var total_out = 'No disponible';
        var hab2016 = 'No disponible';
        var num_empresas = 'No disponible';
        var capital = 'No disponible';
        
        if(e.row['total_out'].value != 0){
            total_out = parseInt(e.row['total_out'].value).format(2)+" €";
        }
        if(e.row['hab2016'].value != 0){
            hab2016 = e.row['hab2016'].value
        }
        if(e.row['num_empresas'].value != 0){
            num_empresas = e.row['num_empresas'].value
        }
        if(e.row['total_capital'].value != 0){
            capital = parseInt(e.row['total_capital'].value).format(2)+" €";
        }
        
        e.infoWindowHtml = "<h2><strong>"+e.row['name'].value+"</strong></h2><br>" +
                            "<strong style='font-size: 150%;'>CP: </strong><span style='font-size: 150%;'>" + e.row['cod_postal'].value + "</span><br>" +
                            "<strong style='font-size: 150%;'>Gasto clientes Cajamar: </strong><span style='font-size: 150%;'>" + total_out + "</span><br>" +
                            //"<strong style='font-size: 150%;'>Gasto en comercios: </strong><span style='font-size: 150%;'>" + parseInt(e.row['total_in'].value).format(2) + ' €' + "</span><br>" + 
                            "<strong style='font-size: 150%;'>Habitantes: </strong><span style='font-size: 150%;'>" + hab2016 + "</span><br>" +
                            "<strong style='font-size: 150%;'>Empresas: </strong><span style='font-size: 150%;'>" + num_empresas + "</span><br>"+ 
                            "<strong style='font-size: 150%;'>Capital empresas: </strong><span style='font-size: 150%;'>" + capital + "</span>";
        
            $('#cps_selected').val(e.row['cod_postal'].value);
            get_data_by_cp(e.row['cod_postal'].value);
            get_data_by_hour(e.row['cod_postal'].value);
            get_data_meteo(e.row['cod_postal'].value);

    }); 

  layer.setMap(map);    
    
}

</script>
<?php
  include("modals.php");
?>
      
  </body>
</html>
