<?php

require_once('include/include.php');

$data = new Data();

?>

<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Corpus One</title>

    <!-- Bootstrap CSS -->    
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <!-- bootstrap theme -->
    <link href="css/bootstrap-theme.css" rel="stylesheet">
    <!--external css-->
    <!-- font icon -->
    <link href="css/elegant-icons-style.css" rel="stylesheet" />
    <link href="css/font-awesome.min.css" rel="stylesheet" />
    <!-- Custom styles -->
    <link href="css/style.css" rel="stylesheet">
    <link href="css/style-responsive.css" rel="stylesheet" />
    <script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.0.47/jquery.fancybox.min.css" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.0.47/jquery.fancybox.min.js"></script>

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 -->
    <!--[if lt IE 9]>
      <script src="js/html5shiv.js"></script>
      <script src="js/respond.min.js"></script>
      <script src="js/lte-ie7.js"></script>
    <![endif]-->  
  <style>

        path {  stroke: #fff; }
        path:hover {  opacity:0.9; }
        rect:hover {  fill:blue; }
        .axis {  font: 10px sans-serif; }
        .legend tr{    border-bottom:1px solid grey; }
        .legend tr:first-child{    border-top:1px solid grey; }

        .axis path,
        .axis line {
          fill: none;
          stroke: #ffffff;
          shape-rendering: crispEdges;
        }
        .axis text {
          fill: #ffffff;  
        }
        .x.axis path {  display: none; }
        .legend{
            margin-bottom:0px;
            margin-top:5px;
            display:inline-block;
            border-collapse: collapse;
            border-spacing: 0px;
        }
        .legend td{
            padding:4px 5px;
            vertical-align:bottom;
        }
        .legendFreq, .legendPerc{
            align:right;
            width:50px;
        }

        .bar {
          fill: #4682b4;
        }

        svg {
          border: none !important;
        }

        .chart-title {
          font-size: 18px;
          font-weight: bold;
        }
        .toolTip {
        font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
        position: absolute;
        display: none;
        width: auto;
        height: auto;
        background: none repeat scroll 0 0 white;
        border: 0 none;
        border-radius: 8px 8px 8px 8px;
        box-shadow: -3px 3px 15px #888888;
        color: black;
        font: 12px sans-serif;
        padding: 5px;
        text-align: center;
    }
    </style>  
  </head>

  <body>
  <!-- container section start -->
  <section id="container" class="">
      <header class="header dark-bg">

            <!--logo start-->
            <a href="/corpus_one/" class="logo">CORPUS ONE</a>
            <!--logo end-->            
            <a class="logo pull-right">DATATHON Cajamar Universityhack 2017</a>

      </header>      
      <!--header end-->

      <!--sidebar end-->
      <!--main content start-->
      <section id="main-content" style="min-width:100%;min-height:100%;margin-top:0px;margin-left:0px;color:white;font-size:120%">
          <div class="container" style="margin-top:50px;">
              <div class="col-lg-12 col-md-12" style="">
                <center><h1>Análisis de los datos de Cajamar y conclusiones extraidas</h1></center> 
                <p> A continuación se muestran algunas conclusiones alcanzadas tras analizar el conjunto de datos y los datos externos agregados. </p>
                <p>
                    Si vemos los datos notamos como se ha producido un aumento en 5 millones de euros de las ventas con tarjetas de crédito registradas entre el año 2015 y el 2016 en los clientes de la provincia de Valencia del grupo Cajamar (de 98 a 103 millones de euros, un 4,78% más).
                </p>
                  
                <br>
                  <span><a data-fancybox="gallery" href="/corpus_one/info/1.jpg" rel="lightbox"><center><img style="vertical-align:center" src="/corpus_one/info/1.jpg" alt="sec1" width="100%"></center></a></span>
                <br>
                
                                
                <center><h2>¿Donde debo ubicar mi negocio?</h2></center> 
                  
                <p>
                    Una buena opción sería escoger la zona cercana al palacio de congresos (código postal 46015). En esta zona el grueso de las transacciones se concentra en el sector hipermercados (4,46 millones de €), seguido de ocio y tiempo libre (3.05 m€) y tecnología (2.29 m€). 
                </p>
                
                <br>
                  <span><a data-fancybox="gallery" href="/corpus_one/info/3.jpg" rel="lightbox"><center><img style="vertical-align:center" src="/corpus_one/info/3.jpg" alt="sec3"  width="100%"></center></a></span>
                <br>
                   <p>Si escogemos una zona cercana al ayuntamiento, la mayoría de transacciones se orientan al sector moda y complementos, siendo este sector el origen del 50.39% de las transacciones de los códigos postales que envuelven esta zona. </p>
                  
                    <span><a data-fancybox="gallery" href="/corpus_one/info/4.jpg" rel="lightbox"><center><img style="vertical-align:center" src="/corpus_one/info/4.jpg" alt="sec4"  width="100%"></center></a></span>
                <br>
                <p>En la zona cercana al mercado central de Valencia el grueso de operaciones se centra en moda y complementos (26,3%) seguido de alimentación (23,95%) y ocio y tiempo libre (18,59%).
                  
                  </p>  
                    <span><a data-fancybox="gallery" href="/corpus_one/info/5.jpg" rel="lightbox"><center><img style="vertical-align:center" src="/corpus_one/info/5.jpg" alt="sec5"  width="100%"></center></a></span>
                <br>    
                  
                  
                <center><h2>Si me dedico a un determinado sector, ¿donde se concentra mi mercado?</h2></center> 
                
                <br>
                <p>Tomando como ejemplo el sector restauración se observa una mayor actividad económica registrada en los CP 46005 y 46002, zonas correspondientes al distrito de Ciutat Vella. </p>
                  
                   
                  <span><a data-fancybox="gallery" href="/corpus_one/info/6.jpg" rel="lightbox"><center><img style="vertical-align:center" src="/corpus_one/info/6.jpg" alt="sec6"  width="100%"></center></a></span>
                 
                 <p>Las tres franjas horarias con más actividad en el sector restauración son en el periodo de 16 a 18 horas (25,75%), de 14 a 16 horas (22,88%) y de 22 a 24 horas (19,58%), juntas suman un 68,21% de las transacciones durante el día.</p> 
                   
                <span><a data-fancybox="gallery" href="/corpus_one/info/7.jpg" rel="lightbox"><center><img style="vertical-align:center" src="/corpus_one/info/7.jpg" alt="sec7"  width="100%"></center></a></span> 
                
                <center><h2>¿Puedo predecir los hábitos de consumo de mis clientes?</h2></center> 
                
                <p>
                    En cuanto la actividad de los clientes a nivel de códigos postales la mayor actividad registrada se registra en los CPs 46015 (18,77 m€), 46009 y 46004 (16,42 y 16,12 millones de euros respectivamente) entre los años 2015 y 2016.</p>
            
                <br>
                
                  <span><a data-fancybox="gallery" href="/corpus_one/info/2.jpg" rel="lightbox"><center><img style="vertical-align:center" src="/corpus_one/info/2.jpg" alt="sec2" width="100%"></center></a></span>
                
                                 
                  <br>
                <p>Las franjas horarias con más transacciones a lo largo del día son de 18 a 20 horas, de 12 a 14 horas y de 16 a 18 horas (21,18% , 19,70% y 14,80% respectivamente). Estas tres franjas horarias han acumulado un total de 112 millones de euros en transacciones. </p>
                   <span><a data-fancybox="gallery" href="/corpus_one/info/8.jpg" rel="lightbox"><center><img style="vertical-align:center" src="/corpus_one/info/8.jpg" alt="sec8"  width="100%"></center></a></span>
                  <br>
                  <br>
                  
                <p>El 50,7% del volumen de transferencias las hacen clientes residentes en la capital</p>
                
                  <span><a data-fancybox="gallery" href="/corpus_one/info/9.jpg" rel="lightbox"><center><img style="vertical-align:center" src="/corpus_one/info/9.jpg" alt="sec9"  width="100%"></center></a></span>                 
                  <br>
                <p>Durante el periodo en el que en la ciudad se celebran las fallas se registra un descenso del 6,5% en las transacciones realizadas por clientes locales en comparación a la media del mes. </p>
                <p>Durante el mes de Agosto se observa un descenso del 24,29% en las transacciones realizadas por clientes locales en comparación a la media anual. </p>
                <p>Durante el periodo navideño se observa un incremento del 40,78% sobre la media de consumo anual. </p>
                <p>Durante los dos periodos importantes de rebajas en la capital correspondientes al mes de Enero y al mes de Julio se observa un incremento del 29,96% sobre la media de consumo anual. A nivel de sectores se observa que el sector "Moda y Complementos" muestra un aumento del consumo del 49,73% sobre la media del resto del año, mientras que en el sector de Alimentación se muestra un aumento del 19,73% sobre la media. </p>
                  
                <center><h2>¿Qué nivel de competencia tengo en mi zona?</h2></center> 
                
                <p>Un posible cliente regenta un local de restauración cercano al mercado central. Su negocio se ubica en el código postal 46001. En base a la información extraída de SABI, sabemos que hay 1192 empresas ubicadas en ese código postal, con un capital medio de 13421 euros y una media de 5 empleados por empresa. En su sector el cliente tiene de competencia 39 empresas ubicadas con su código CNAE, estas empresas disponen de un capital medio de 6831 euros y cada empresa está formada por una media de 4.26 empleados. </p>
              </div> 
          </div>

              <!-- page end-->
      </section>
      <!--main content end-->
  </section>
  <!-- container section end -->
    <!-- javascripts -->
    <script src="js/jquery.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jquery-ui-1.9.2.custom.min.js"></script>
<?php
  include("modals.php");
?>
  </body>
</html>
